Page MenuHomePhabricator

Community Bonding Period evaluation of GSoC 2016 projects (tracking)
Closed, ResolvedPublic

Description

Goal: All Google-Summer-of-Code (2016) selected projects have completed the bonding period successfully, and all the interns have received their first payment.

In order to complete the bonding period, each intern needs to create a subtask of his/her proposal, associate it to its brand new Phabricator project, and assign it to their primary mentor.

Title of the subtask: Community bonding evaluation for (your project name)

Description: (Edit this task and copy the source)

  • Detailed plan agreed with mentors: (link)
  • Phabricator project created: (mention)
  • Meetings with mentors started: (dates of meetings celebrated so far along with the minutes of the meeting (need not be very long) )
  • Bonding period report published: (link)

The detailed plan can be kept in the original proposal task itself which can be modified as per discussions with mentors.

A typical bonding period report might contain:

  • Work done (environment setup, links to patches merged etc.)
  • Lessons learnt
  • Problems faced and solutions found
  • Any changes to the original plan
  • Minimum Viable Product for the project decided
  • Communication plan with mentor decided

Some example reports from previous round: T98154, T97728

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2016, 7:07 AM
Niharika removed a subscriber: Niharika.Apr 26 2016, 4:08 PM

The detailed plan can be kept in the original project idea task itself which can be modified as per discussions with mentors. Move over the contents of the proposal task to the project idea task as well to keep everything in the same place.

I don't quite understand. Shouldn't it be the other way round, if required? If we want to keep everything in the same place and we want this place to be the original project idea task, why create subtasks under the proposal task? Also, @01tonythomas proposed in T130585#2238405 that we reduce the notification count by sticking to the proposal, then why lead to these extra notifs by constantly modifying the project idea along with the proposal task, too?

Sumit added a comment.Apr 26 2016, 9:16 PM

The detailed plan can be kept in the original project idea task itself which can be modified as per discussions with mentors. Move over the contents of the proposal task to the project idea task as well to keep everything in the same place.

I don't quite understand. Shouldn't it be the other way round, if required? If we want to keep everything in the same place and we want this place to be the original project idea task, why create subtasks under the proposal task?

The proposal task is your root to track all tasks done as part of GSoC. It is quite possible that the work done as part of GSoC might not be sufficient to resolve the project idea, and some work might be needed to be done outside the scope of GSoC. So this is a measure to keep the scope of GSoC separate from the project idea itself.

Also, @01tonythomas proposed in T130585#2238405 that we reduce the notification count by sticking to the proposal, then why lead to these extra notifs by constantly modifying the project idea along with the proposal task, too?

Modifying the project idea entails having the basic objectives/workflow there to keep it updated for those not associated with GSoC. I think people can bear with some extra notifications at the cost of updated information on the task.

@Sumit - that answers up my doubts. Thanks for clearing it up! :D

@Sumit @01tonythomas, I've removed myself from a bunch of tickets but feel free to add me back if need be. Trying to cut down on notification noise.

Devirk added a subscriber: Devirk.Apr 29 2016, 12:44 PM

Now we have 8/8 tasks here! Yay!

@Sumit Hi, I have some doubts on the bonding process:

  1. What's the difference between the "detailed plan" mentioned above and the detailed plan stated in my proposal? Shall I create projects and tasks (or sub-tasks) in Phabricator for the GSoC project once I confirm the plan with my mentor?
  1. How should I publish a bonding period report? May I create a task for it, or something else?

@Lethexie for the report, the method of reporting and so on is mentioned at Life_of_a_successful_project in the Community bonding period > Reporting section.

@AbdealiJK Thank you , And how about the second Phabricator project created? Should I create new task in Phabricator for the GSoC project?

@AbdealiJK Thank you , And how about the second Phabricator project created? Should I create new task in Phabricator for the GSoC project?

We recommend projects go into separate phab projects, but this one is a special case :D (kinda fitting in the parent task) . Please start a Conpherence with your mentors asking whether your task can be merged with MediaWiki-Codesniffer , or should go as a separate one. You can ask that in a phabricator task too, adding your mentors as subscribers.

Niharika updated the task description. (Show Details)May 9 2016, 5:59 AM
Niharika updated the task description. (Show Details)May 9 2016, 6:02 AM
01tonythomas renamed this task from Goal: Successful start of all GSoC projects to Community Bonding Period evaluation of GSoC 2016 projects (tracking).May 25 2016, 6:23 AM
jayvdb added a subscriber: jayvdb.May 29 2016, 1:09 PM
01tonythomas closed this task as Resolved.Aug 17 2016, 7:19 AM
01tonythomas claimed this task.

No more blocking tasks here. Thank you!